Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class ContourPlotUtilities

    java.lang.Object
      org.jfree.chart.plot.ContourPlotUtilities

Deprecated. This class is no longer supported (as of version 1.0.4). If you are creating contour plots, please try to use `XYPlot` and `XYBlockRenderer`.

    public abstract class ContourPlotUtilities

extends java.lang.Object

Some utility methods for the `ContourPlot` class.

Constructor Summary
`ContourPlotUtilities()` Deprecated.

Method Summary
`static Range` | `visibleRange(ContourDataset data, Range x, Range y)` Deprecated. Returns the visible z-range.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContourPlotUtilities

    public ContourPlotUtilities()

  Deprecated.

Method Detail

### visibleRange

    public static Range visibleRange(ContourDataset data,
                                     Range x,
                                     Range y)

  Deprecated.
  Returns the visible z-range.

  Parameters:
    `data` - the dataset.
    `x` - the x range.
    `y` - the y range.
  Returns:
    The range.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.